org.sqlite

## Enum SQLiteConfig.Encoding

- java.lang.Object
- - java.lang.Enum<SQLiteConfig.Encoding>
  - - org.sqlite.SQLiteConfig.Encoding

All Implemented Interfaces:
  Serializable, Comparable<SQLiteConfig.Encoding>

Enclosing class:
  SQLiteConfig

    public static enum SQLiteConfig.Encoding
    extends Enum<SQLiteConfig.Encoding>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`UTF_16`
`UTF_16BE`
`UTF_16LE`
`UTF_8`
`UTF16`
`UTF16_BIG_ENDIAN`
`UTF16_LITTLE_ENDIAN`
`UTF8`

### Field Summary

Fields
`String` `typeName`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SQLiteConfig.Encoding` `getEncoding(String value)`
`String` `getValue()`
`static SQLiteConfig.Encoding` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteConfig.Encoding[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UTF8

    public static final SQLiteConfig.Encoding UTF8

#### UTF16

    public static final SQLiteConfig.Encoding UTF16

#### UTF16_LITTLE_ENDIAN

    public static final SQLiteConfig.Encoding UTF16_LITTLE_ENDIAN

#### UTF16_BIG_ENDIAN

    public static final SQLiteConfig.Encoding UTF16_BIG_ENDIAN

#### UTF_8

    public static final SQLiteConfig.Encoding UTF_8

#### UTF_16

    public static final SQLiteConfig.Encoding UTF_16

#### UTF_16LE

    public static final SQLiteConfig.Encoding UTF_16LE

#### UTF_16BE

    public static final SQLiteConfig.Encoding UTF_16BE

### Field Detail

#### typeName

    public final String typeName

### Method Detail

#### values

    public static SQLiteConfig.Encoding[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteConfig.Encoding c : SQLiteConfig.Encoding.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteConfig.Encoding valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public String getValue()

#### getEncoding

    public static SQLiteConfig.Encoding getEncoding(String value)